
#[derive(Clone, Copy, Debug, Eq, PartialEq)]
pub enum State {
  AttrAfterName = 0,
  AttrBeforeValue = 1,
  AttrDoubleQuotedValue = 2,
  AttrDoubleQuotedValueWhitespace = 3,
  AttrName = 4,
  AttrSingleQuotedValue = 5,
  AttrSingleQuotedValueWhitespace = 6,
  AttrUnquotedValue = 7,
  AttrValueEntity = 8,
  ClosingTag = 9,
  Comment = 10,
  EOF = 11,
  OpeningTagStart = 12,
  OpeningTagWhitespace = 13,
  Text = 14,
  TextEntity = 15,
  TextWhitespace = 16,
  Unknown = 17
}

#[derive(Clone, Copy, Debug, Eq, PartialEq)]
pub enum ConsumeMode {
  Current,
  Next,
  Reconsume,
  Accumulate,
  AccumulateLowerCase,
}

#[derive(Clone, Copy)]
pub struct Transition {
  // Make pub to allow destructuring.
  pub to: State,
  pub consume: ConsumeMode,
}

static ATTRAFTERNAME_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrAfterName,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static ATTRAFTERNAME_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrBeforeValue,
    consume: ConsumeMode::Next,
  }),
      children: &[],
    };

static ATTRAFTERNAME_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::OpeningTagWhitespace,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

pub static ATTRAFTERNAME: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 9,
      value: None,
      children: &[Some(ATTRAFTERNAME_NODE_0), Some(ATTRAFTERNAME_NODE_0), Some(ATTRAFTERNAME_NODE_0), Some(ATTRAFTERNAME_NODE_0), Some(ATTRAFTERNAME_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ATTRAFTERNAME_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ATTRAFTERNAME_NODE_1), Some(ATTRAFTERNAME_NODE_2)],
    };

static ATTRBEFOREVALUE_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrUnquotedValue,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static ATTRBEFOREVALUE_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrBeforeValue,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static ATTRBEFOREVALUE_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrDoubleQuotedValue,
    consume: ConsumeMode::Next,
  }),
      children: &[],
    };

static ATTRBEFOREVALUE_NODE_3: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrSingleQuotedValue,
    consume: ConsumeMode::Next,
  }),
      children: &[],
    };

pub static ATTRBEFOREVALUE: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_1), Some(ATTRBEFOREVALUE_NODE_1), Some(ATTRBEFOREVALUE_NODE_1), Some(ATTRBEFOREVALUE_NODE_1), Some(ATTRBEFOREVALUE_NODE_1), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_1), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_2), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_3), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0), Some(ATTRBEFOREVALUE_NODE_0)],
    };

static ATTRDOUBLEQUOTEDVALUE_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrDoubleQuotedValue,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static ATTRDOUBLEQUOTEDVALUE_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrDoubleQuotedValueWhitespace,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static ATTRDOUBLEQUOTEDVALUE_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::OpeningTagWhitespace,
    consume: ConsumeMode::Current,
  }),
      children: &[],
    };

static ATTRDOUBLEQUOTEDVALUE_NODE_3: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrValueEntity,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

pub static ATTRDOUBLEQUOTEDVALUE: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_2), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_3), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUE_NODE_0)],
    };

static ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrDoubleQuotedValue,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrDoubleQuotedValueWhitespace,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrValueEntity,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

pub static ATTRDOUBLEQUOTEDVALUEWHITESPACE: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_2), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRDOUBLEQUOTEDVALUEWHITESPACE_NODE_0)],
    };

static ATTRNAME_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrAfterName,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static ATTRNAME_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrName,
    consume: ConsumeMode::AccumulateLowerCase,
  }),
      children: &[],
    };

pub static ATTRNAME: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 9,
      value: None,
      children: &[Some(ATTRNAME_NODE_0), Some(ATTRNAME_NODE_0), Some(ATTRNAME_NODE_0), Some(ATTRNAME_NODE_0), Some(ATTRNAME_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ATTRNAME_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, Some(ATTRNAME_NODE_1), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ATTRNAME_NODE_0), Some(ATTRNAME_NODE_0), None, None, Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), None, None, None, None, None, None, Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1), Some(ATTRNAME_NODE_1)],
    };

static ATTRSINGLEQUOTEDVALUE_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrSingleQuotedValue,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static ATTRSINGLEQUOTEDVALUE_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrSingleQuotedValueWhitespace,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static ATTRSINGLEQUOTEDVALUE_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrValueEntity,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static ATTRSINGLEQUOTEDVALUE_NODE_3: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::OpeningTagWhitespace,
    consume: ConsumeMode::Current,
  }),
      children: &[],
    };

pub static ATTRSINGLEQUOTEDVALUE: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_1), Some(ATTRSINGLEQUOTEDVALUE_NODE_1), Some(ATTRSINGLEQUOTEDVALUE_NODE_1), Some(ATTRSINGLEQUOTEDVALUE_NODE_1), Some(ATTRSINGLEQUOTEDVALUE_NODE_1), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_1), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_2), Some(ATTRSINGLEQUOTEDVALUE_NODE_3), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0), Some(ATTRSINGLEQUOTEDVALUE_NODE_0)],
    };

static ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrSingleQuotedValue,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrSingleQuotedValueWhitespace,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrValueEntity,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

pub static ATTRSINGLEQUOTEDVALUEWHITESPACE: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_1), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_2), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0), Some(ATTRSINGLEQUOTEDVALUEWHITESPACE_NODE_0)],
    };

static ATTRUNQUOTEDVALUE_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrUnquotedValue,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static ATTRUNQUOTEDVALUE_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::OpeningTagWhitespace,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static ATTRUNQUOTEDVALUE_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrValueEntity,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

pub static ATTRUNQUOTEDVALUE: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_1), Some(ATTRUNQUOTEDVALUE_NODE_1), Some(ATTRUNQUOTEDVALUE_NODE_1), Some(ATTRUNQUOTEDVALUE_NODE_1), Some(ATTRUNQUOTEDVALUE_NODE_1), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_1), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_2), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0), Some(ATTRUNQUOTEDVALUE_NODE_0)],
    };

pub static ATTRVALUEENTITY: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[],
    };

static CLOSINGTAG_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::ClosingTag,
    consume: ConsumeMode::AccumulateLowerCase,
  }),
      children: &[],
    };

static CLOSINGTAG_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::Text,
    consume: ConsumeMode::Current,
  }),
      children: &[],
    };

pub static CLOSINGTAG: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 45,
      value: None,
      children: &[Some(CLOSINGTAG_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(CLOSINGTAG_NODE_1), None, None, Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), None, None, None, None, None, None, Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0), Some(CLOSINGTAG_NODE_0)],
    };

static COMMENT_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::Comment,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static COMMENT_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::Text,
    consume: ConsumeMode::Current,
  }),
      children: &[],
    };

static COMMENT_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 62,
      value: None,
      children: &[Some(COMMENT_NODE_1)],
    };

static COMMENT_NODE_3: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 45,
      value: None,
      children: &[Some(COMMENT_NODE_2)],
    };

pub static COMMENT: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_3), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0), Some(COMMENT_NODE_0)],
    };

pub static EOF: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[],
    };

static OPENINGTAGSTART_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::OpeningTagWhitespace,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static OPENINGTAGSTART_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::OpeningTagStart,
    consume: ConsumeMode::AccumulateLowerCase,
  }),
      children: &[],
    };

pub static OPENINGTAGSTART: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 9,
      value: None,
      children: &[Some(OPENINGTAGSTART_NODE_0), Some(OPENINGTAGSTART_NODE_0), Some(OPENINGTAGSTART_NODE_0), Some(OPENINGTAGSTART_NODE_0), Some(OPENINGTAGSTART_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(OPENINGTAGSTART_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, Some(OPENINGTAGSTART_NODE_1), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), None, None, None, None, None, None, Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1), Some(OPENINGTAGSTART_NODE_1)],
    };

static OPENINGTAGWHITESPACE_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::OpeningTagWhitespace,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static OPENINGTAGWHITESPACE_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::AttrName,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static OPENINGTAGWHITESPACE_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::Text,
    consume: ConsumeMode::Current,
  }),
      children: &[],
    };

pub static OPENINGTAGWHITESPACE: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 9,
      value: None,
      children: &[Some(OPENINGTAGWHITESPACE_NODE_0), Some(OPENINGTAGWHITESPACE_NODE_0), Some(OPENINGTAGWHITESPACE_NODE_0), Some(OPENINGTAGWHITESPACE_NODE_0), Some(OPENINGTAGWHITESPACE_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(OPENINGTAGWHITESPACE_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, Some(OPENINGTAGWHITESPACE_NODE_1), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(OPENINGTAGWHITESPACE_NODE_2), None, None, Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), None, None, None, None, None, None, Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1), Some(OPENINGTAGWHITESPACE_NODE_1)],
    };

static TEXT_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::Text,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static TEXT_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::TextWhitespace,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static TEXT_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::TextEntity,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static TEXT_NODE_3: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::Comment,
    consume: ConsumeMode::Next,
  }),
      children: &[],
    };

static TEXT_NODE_4: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 45,
      value: None,
      children: &[Some(TEXT_NODE_3)],
    };

static TEXT_NODE_5: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 45,
      value: None,
      children: &[Some(TEXT_NODE_4)],
    };

static TEXT_NODE_6: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::ClosingTag,
    consume: ConsumeMode::Next,
  }),
      children: &[],
    };

static TEXT_NODE_7: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 33,
      value: Some(Transition {
    to: State::OpeningTagStart,
    consume: ConsumeMode::Next,
  }),
      children: &[Some(TEXT_NODE_5), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(TEXT_NODE_6)],
    };

pub static TEXT: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_1), Some(TEXT_NODE_1), Some(TEXT_NODE_1), Some(TEXT_NODE_1), Some(TEXT_NODE_1), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_1), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_2), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_7), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0), Some(TEXT_NODE_0)],
    };

pub static TEXTENTITY: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[],
    };

static TEXTWHITESPACE_NODE_0: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::Text,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

static TEXTWHITESPACE_NODE_1: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::TextWhitespace,
    consume: ConsumeMode::Accumulate,
  }),
      children: &[],
    };

static TEXTWHITESPACE_NODE_2: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: Some(Transition {
    to: State::TextEntity,
    consume: ConsumeMode::Reconsume,
  }),
      children: &[],
    };

pub static TEXTWHITESPACE: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_1), Some(TEXTWHITESPACE_NODE_1), Some(TEXTWHITESPACE_NODE_1), Some(TEXTWHITESPACE_NODE_1), Some(TEXTWHITESPACE_NODE_1), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_1), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_2), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0), Some(TEXTWHITESPACE_NODE_0)],
    };

pub static UNKNOWN: &'static crate::pattern::TrieNode<Transition> = &crate::pattern::TrieNode {
      offset: 0,
      value: None,
      children: &[],
    };

pub static TRANSITIONS: [&'static crate::pattern::TrieNode<Transition>; 18] = [ATTRAFTERNAME, ATTRBEFOREVALUE, ATTRDOUBLEQUOTEDVALUE, ATTRDOUBLEQUOTEDVALUEWHITESPACE, ATTRNAME, ATTRSINGLEQUOTEDVALUE, ATTRSINGLEQUOTEDVALUEWHITESPACE, ATTRUNQUOTEDVALUE, ATTRVALUEENTITY, CLOSINGTAG, COMMENT, EOF, OPENINGTAGSTART, OPENINGTAGWHITESPACE, TEXT, TEXTENTITY, TEXTWHITESPACE, UNKNOWN];
